AnalyticDiscreteGeometricAveragePriceAsianEngine Class Reference
Pricing engines » Asian option engines

Pricing engine for European discrete geometric average price Asian. More...

`#include <ql/pricingengines/asian/analytic_discr_geom_av_price.hpp>`

Inheritance diagram for AnalyticDiscreteGeometricAveragePriceAsianEngine:
[legend]

## Public Member Functions

| AnalyticDiscreteGeometricAveragePriceAsianEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const
Public Member Functions inherited from GenericEngine< DiscreteAveragingAsianOption::arguments, DiscreteAveragingAsianOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericEngine< DiscreteAveragingAsianOption::arguments, DiscreteAveragingAsianOption::results >
DiscreteAveragingAsianOption::arguments | arguments_
DiscreteAveragingAsianOption::results | results_

## Detailed Description

Pricing engine for European discrete geometric average price Asian.

This class implements a discrete geometric average price Asian option, with European exercise. The formula is from "Asian Option", E. Levy (1997) in "Exotic Options: The State of the Art", edited by L. Clewlow, C. Strickland, pag 65-97

Tests:
  - the correctness of the returned value is tested by reproducing results available in literature.
  - the correctness of the available greeks is tested against numerical calculations.